| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
odGeom2D Class Reference

`#include <odgeom_2d.h>`

Inheritance diagram for odGeom2D:
[legend]

## Public Member Functions
| odGeom2D (const odGeom2D &)=delete
| odGeom2D (const odSurvey &thesurvey, const char *name)
| odGeom2D (const odSurvey &thesurvey, const char *name, bool overwrite)
| ~odGeom2D ()
void | close ()
void | getData (hAllocator) const
void | getFeature (OD::JSON::Object &, bool towgs=true) const override
void | getInfo (OD::JSON::Object &) const override
void | getPoints (OD::JSON::Array &, bool towgs) const override
odGeom2D & | operator= (const odGeom2D &)=delete
void | putData (int32_t numpos, const int32_t *trcnrs, const float *spnrs, const double *xpos, const double *ypos)
Public Member Functions inherited from odSurveyObject
| odSurveyObject (const odSurvey &, const char *, const char *)
| odSurveyObject (const odSurvey &, const char *, const char *, bool, const char *fmt=nullptr)
| odSurveyObject (const odSurveyObject &)=delete
virtual | ~odSurveyObject ()
bool | canRead () const
bool | canWrite () const
BufferString | errMsg () const
BufferString | getName () const
bool | isOK () const
bool | isReadOnly () const
odSurveyObject & | operator= (const odSurveyObject &)=delete
void | setErrMsg (const char *msg) const
const odSurvey & | survey () const
bool | zIsTime () const

## Static Public Member Functions
static const char * | translatorGrp ()
Static Public Member Functions inherited from odSurveyObject
template<typename T >
static void | getFeatures (OD::JSON::Object &, const odSurvey &survey, const BufferStringSet &)
template<typename T >
static void | getInfos (OD::JSON::Array &, const odSurvey &survey, const BufferStringSet &)
template<typename T >
static BufferStringSet * | getNames (const odSurvey &survey)
template<typename T >
static bool | isPresent (const odSurvey &, const char *objname)
template<typename T >
static void | removeObjects (const odSurvey &survey, const BufferStringSet &)

## Additional Inherited Members
Protected Member Functions inherited from odSurveyObject
IOObj * | ioobj_ptr () const
Protected Attributes inherited from odSurveyObject
BufferString | errmsg_
BufferString | name_
bool | overwrite_ = false
bool | readonly_ = true
const odSurvey & | survey_
BufferString | tgname_
bool | zistime_

## Constructor & Destructor Documentation

## ◆ odGeom2D() [1/3]

odGeom2D::odGeom2D | ( | const odSurvey & | thesurvey,
|  | const char * | name )

## ◆ odGeom2D() [2/3]

odGeom2D::odGeom2D | ( | const odSurvey & | thesurvey,
|  | const char * | name,
|  | bool | overwrite )

## ◆ ~odGeom2D()

odGeom2D::~odGeom2D | ( |  | ) |

## ◆ odGeom2D() [3/3]

odGeom2D::odGeom2D | ( | const odGeom2D & |  | ) |
| delete

## Member Function Documentation

## ◆ close()

void odGeom2D::close | ( |  | ) |

## ◆ getData()

void odGeom2D::getData | ( | hAllocator |  | ) | const

## ◆ getFeature()

void odGeom2D::getFeature | ( | OD::JSON::Object & | ,
|  | bool | towgs = true ) const
| override virtual

Reimplemented from odSurveyObject.

## ◆ getInfo()

void odGeom2D::getInfo | ( | OD::JSON::Object & |  | ) | const
| override virtual

Implements odSurveyObject.

## ◆ getPoints()

void odGeom2D::getPoints | ( | OD::JSON::Array & | ,
|  | bool | towgs ) const
| override virtual

Implements odSurveyObject.

## ◆ operator=()

odGeom2D & odGeom2D::operator= | ( | const odGeom2D & |  | ) |
| delete

## ◆ putData()

void odGeom2D::putData | ( | int32_t | numpos,
|  | const int32_t * | trcnrs,
|  | const float * | spnrs,
|  | const double * | xpos,
|  | const double * | ypos )

## ◆ translatorGrp()

static const char * odGeom2D::translatorGrp | ( |  | ) |
| inline static

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025